Subject: Re: bug#30633: ELPA: python.el requires incorrect Emacs version

From: Noam Postavsky <[email-masked]>
Date: Tue, 27 Feb 2018 20:25:20 -0500

tags 30633 fixed
close 30633
quit

Alex Branham <[email-masked]> writes:

> python.el in GNU ELPA currently contains a call to file-local-name (in
> python-shell-send-file), which is in Emacs 26, but the Package-Requires
> statement says Emacs 24.1.

Thanks for reporting this.  I've fixed up most compile warnings that
Emacs 24.3 produces (I didn't touch the flymake stuff, since I believe
it won't do anything for earlier Emacs versions anyway).

I've pushed to master, it should be available from GNU ELPA within a day
or so.

[1: 2291d9ae88]: 2018-02-27 20:21:26 -0500
  Fix python.el for Emacs 24, bump ELPA version to 0.26.1 (Bug#30633)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2291d9ae888961ce7e4f22675244f535db54df56